Subject: bug#19935: Checking whether C compiler handles -Wenum-compare does not work

From: Lukasz Dorau <[email-masked]>
Date: Mon, 21 Sep 2015 09:16:36 +0200

On Sun, Sep 20, 2015 at 3:16 AM, Jim Meyering <[email-masked]> wrote:
>
> On Tue, Feb 24, 2015 at 3:02 AM, Lukasz Dorau
> <[email-masked]> wrote:
> > Checking whether C compiler handles -Wenum-compare does not work:
> >
> > configure:34007: checking whether C compiler handles -Wenum-compare
> > configure:34026: gcc -std=gnu99 -o conftest -g -O2  -Wenum-compare
> > conftest.c  >&5
> > cc1: warning: command line option "-Wenum-compare" is valid for C++/ObjC++
> > but not for C
> > configure:34026: $? = 0
> > configure:34037: result: yes
> >
> > Whole config.log is attached.
> >
> > As a result make fails:
> > $ make
> > make  all-recursive
> > make[1]: Entering directory `/mnt/files/repos/grep'
> > Making all in po
> > make[2]: Entering directory `/mnt/files/repos/grep/po'
> > make[2]: Nothing to be done for `all'.
> > make[2]: Leaving directory `/mnt/files/repos/grep/po'
> > Making all in lib
> > make[2]: Entering directory `/mnt/files/repos/grep/lib'
> > make  all-am
> > make[3]: Entering directory `/mnt/files/repos/grep/lib'
> >   CC       binary-io.o
> > cc1: warning: command line option "-Wenum-compare" is valid for C++/ObjC++
> > but not for C
>
> Thanks for the report and sorry about the delay.
> I'm guessing that is due to your use of an older version of gcc.
> Can you still reproduce that problem using grep-2.21? If so, can you
> try a newer version of gcc?
>
> Which version of gcc are you using?

I do not use CentOS anymore.
Now I am using Fedora 21 and I cannot reproduce it on Fedora 21.
You can close this bug as for me.

Thanks,
Lukasz